listUsers
Retrieves a list of User previously created. The users are returned in sorted order, with the most recent appearing first. The list can be filtered using Tags.
GET
/v1/chat/usersAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
conversationId?stringFilter by conversation id. This will return all users that have participated in the conversation.
tags?objectFilter by tags
afterDate?stringDate in ISO 8601 string with UTC timezone after which the user was created or updated (inclusive)
beforeDate?stringDate in ISO 8601 string with UTC timezone before which the user was created or updated (inclusive)
rangeField?enum<string>Field used for range filtering. Allowed values are "updatedAt" or "createdAt". Defaults to "createdAt" if omitted.
Available options:
"updatedAt","createdAt"sortField?enum<string>Sort results by this field
Available options:
"updatedAt","createdAt"sortDirection?enum<string>Sort results in this direction
Available options:
"asc","desc"Response
Returns a list of User objects
usersobject[]metaobject